import request from '@/utils/request'

// 类目分页列表
export function list(params) {
  return request({
    url: '/category/page',
    method: 'get',
    params
  })
}

// 新增
export function add(data) {
  return request({
    url: '/category/add',
    method: 'post',
    data
  })
}


// 类目详情
export function detail(params) {
  return request({
    url: '/category/detail',
    method: 'get',
    params
  })
}

// 获取审核通过的类目
export function getCategoryList() {
  return request({
    url: '/category/getCategoryList',
    method: 'get',
  })
}

// 修改
export function edit(data) {
  return request({
    url: '/category/edit',
    method: 'put',
    data
  })
}

// 修改
export function authedEdit(data) {
  return request({
    url: '/category/authedEdit',
    method: 'put',
    data
  })
}



